Subject: Re: bug#14790: An issue building Emacs (trunk) manual

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Jul 2013 14:15:08 +0300

> Date: Thu, 04 Jul 2013 22:06:03 +0200
> From: Angelo Graziosi <[email-masked]>
> CC: bug-emacs <[email-masked]>
> 
> Underfull \hbox (badness 10000) in paragraph at lines 328--336
> []@textrm To ei-ther en-able or dis-able Which Func-tion mode, use the 
> com-mand
>   @texttt M-x
> [225] [226] [227] [228] [229] [230] [231] [232] [233] [234] [235] [236]
> [237] [238] [239]) (/work/emacs/doc/emacs/building.texi Chapter 24
> [240] [241] [242]
> Underfull \hbox (badness 10000) in paragraph at lines 243--248
> []@textrm To parse mes-sages from the com-piler, Com-pi-la-tion mode 
> uses the v
> ari-able

"Underfull \hbox" means that there's too few characters to typeset a
line of text without making it ugly.  TeX tries to fill lines, but
when the Texinfo sources requests a fixed-width typeface, such as with
names of variables and functions, it cannot do that.

The solution is to rearrange text around the problematic part.  I
agree with Glenn that doing this now is a waste of effort.

Bottom line: ignore those errors.  ("Overfull boxes", OTOH, are more
serious.)

> As you see, they aren't fatal error but until a few day ago they didn't 
> appear and, as I wrote, they appear only with my patch for A4+open 
> chapter on odd pages.

As the Texinfo sources change, these issues can appear and disappear.
It's normal.  Likewise, they can appear with one paper size and not
the other.